{extend name="main"}
{block name="style"}
<style type="text/css">
	.flex-lable{width: 100px;color: #6c757d;text-align: right;padding-right: 10px;}
</style>
{/block}
{block name="body"}
<div class="bg-white p-3">
	<el-form :model="search" @submit.native.prevent="submitForm" ref="search" label-width="120px" :label-position="labelPosition" size="mini">

	  <el-form-item label="搜索类型" prop="search_type">
	    <el-radio-group v-model="search.search_type">
	      <el-radio :label="'id'">简历ID</el-radio>
	      <el-radio :label="'uid'">UID</el-radio>
	      <el-radio :label="'name'">姓名</el-radio>
	      <el-radio :label="'mobile'">手机号</el-radio>
	      <el-radio :label="'email'">联系人邮箱</el-radio>
	    </el-radio-group>
	  </el-form-item>

	  <el-form-item :label="getSearchType()" prop="key">
	    <el-input v-model="search.key" class="col-12 col-sm-2 pl-0 pr-0"></el-input>
	  </el-form-item>

	  <el-form-item label="审核" prop="examine">
	    <el-radio-group v-model="search.examine">
	      <el-radio :label="'all'">所有</el-radio>
	      <el-radio :label="0">未审核</el-radio>
	      <el-radio :label="1">已审核</el-radio>
	      <el-radio :label="2">驳回</el-radio>
	    </el-radio-group>
	  </el-form-item>

	  <el-form-item>
	    <el-button type="primary" @click="initHtml">查询</el-button>
	    <el-button @click="resetForm('search')">重置</el-button>
	  </el-form-item>
	</el-form>
	<div class="table-responsive py-3">
		<el-button-group class="text-nowrap flex" style="min-width: 500px">
		<el-button type="primary" size="mini" @click="exportResume">导出({{tableData.length}})</el-button>
		  <el-button type="warning" size="mini" @click="window.open('/message/send')">发消息</el-button>
		  <el-button type="success" size="mini" icon="el-icon-refresh" @click="refreshResumeALL">刷新</el-button>
		  <el-button type="primary" size="mini" @click="window.open('/resume/addResume')">手动添加简历</el-button>
		  <el-button type="primary" size="mini" @click="drawerHandle=true;">设置顾问</el-button>
		  <el-button type="success" size="mini" @click="openRefuseWin()">批量审核</el-button>
			<!-- <el-popover
			placement="right"
			width="300"
			trigger="click"
			title="置顶简历">
				<div class="flex flex-center">
					<div class="flex-lable">置顶天数</div>
		      		<el-input-number v-model="top" :step="1" step-strictly
		      		:min="0"
		      		size="small"
		      		controls-position="right"
		      		placeholder="置顶天数"></el-input-number>
				</div>
				<div class="flex flex-center pt-3">
					<div class="flex-lable">是否累加</div>
		      		<el-checkbox v-model="accumulation" :true-lable="1" :false-lable="0">{{accumulation?'关闭':'开启'}}</el-checkbox>
				</div>
				<div class="bg-light p-2 rounded my-3 text-secondary small">
					<div>0、为取消置顶，n>0、置顶n天</div>
					<div>开启累加之后如若当前置顶时间未到期，则追加天数</div>
				</div>
				<div class="bg-light p-2 rounded my-3 text-secondary small">
				</div>
		  		<div class="flex">
		  			<div class="flex-1"></div>
			  		<el-button type="info" size="mini"
			  		:disabled="top>0"
			  		@click="setResumeTopAll">取消置顶</el-button>
			  		<div class="px-1"></div>
			  		<el-button type="primary" size="mini"
			  		:disabled="top<=0"
			  		@click="setResumeTopAll">置顶{{top}}天</el-button>
			  	</div>
			  	<div slot="reference">
		      		<el-button type="success" size="mini">批量置顶</el-button>
			  	</div>
			</el-popover>
			<el-popover
			placement="right"
			width="300"
			trigger="click"
			title="推荐简历">
				<div class="flex flex-center">
					<div class="flex-lable">推荐天数</div>
		      		<el-input-number v-model="recommend" :step="1" step-strictly
		      		:min="0"
		      		size="small"
		      		controls-position="right"
		      		placeholder="推荐天数"></el-input-number>
				</div>
				<div class="flex flex-center pt-3">
					<div class="flex-lable">是否累加</div>
		      		<el-checkbox v-model="accumulation" :true-lable="1" :false-lable="0">{{accumulation?'关闭':'开启'}}</el-checkbox>
				</div>
				<div class="bg-light p-2 rounded my-3 text-secondary small">
					<div>0、为取消推荐，n>0、推荐n天</div>
					<div>开启累加之后如若当前推荐时间未到期，则追加天数</div>
				</div>
		  		<div class="flex">
		  			<div class="flex-1"></div>
			  		<el-button type="info" size="mini"
			  		:disabled="recommend>0"
			  		@click="setResumeRecommendAll">取消推荐</el-button>
			  		<div class="px-1"></div>
			  		<el-button type="primary" size="mini"
			  		:disabled="recommend<=0"
			  		@click="setResumeRecommendAll">推荐{{recommend}}天</el-button>
			  	</div>
			  	<div slot="reference">
		      		<el-button type="success" size="mini">批量推荐</el-button>
			  	</div>
			</el-popover> -->
		  <el-button type="success" size="mini">发消息</el-button>
		  <el-button type="success" size="mini">导出(0)</el-button>
		  <el-button type="success" size="mini" icon="el-icon-refresh">刷新</el-button>
		</el-button-group>
	</div>
	<div class="table-responsive py-3">
		<el-pagination
		  background
	      @size-change="handleSizeChange"
	      @current-change="handleCurrentChange"
	      :current-page="search.page"
	      :page-sizes="[10,50,100,200]"
	      :page-size="search.pageSize"
	      layout="total, sizes, prev, pager, next, jumper"
	      :total="search.total">
	    </el-pagination>
	</div>
	<div class="table-responsive">
		<el-table
			ref="tableList"
	      	:data="tableData"
    		stripe
    		v-loading="search.ajax"
    		style="width: 100%;"
    		row-class-name="row-flex"
    		@expand-change="getResumeInfo"
    		@selection-change="handleSelectionChange">
		  <el-table-column
			  type="selection"
			  width="55">
		  </el-table-column>
		  <el-table-column type="expand" width="20">
			  <template slot-scope="scope">
			  	<div v-if="scope.row.resume_info==1">
				  	<div class="flex text-dark">
				  		<div class="flex-1 pr-2">
							<el-divider content-position="left">用户信息</el-divider>
				  			<div class="flex flex-center pb-3">
				  				<div class="flex-lable">用户</div>
								<el-image
								  	v-if="scope.row.headimg" 
								    style="width: 30px; height: 30px"
								    lazy
								    class="rounded-circle mr-2"
								    :src="scope.row.headimg" 
								    :preview-src-list="[scope.row.headimg]">
								</el-image>
				  				<div class="flex-1">
							      	<el-link :href="'/user?uid='+scope.row.uid" target="_blank"
							      	:underline="false"
							      	title="用户中心">{{scope.row.nickname}}</el-link>
				  				</div>
				  			</div>
				  			<div class="flex flex-center pb-3" v-if="(!scope.row.adviser_id&&v.adviser_default)||(scope.row.adviser_id&&v.id==scope.row.adviser_id)" v-for="v in admin">
				  				<div class="flex-lable">顾问</div>
								<el-image
								  	v-if="v.headimg" 
								    style="width: 30px; height: 30px"
								    lazy
								    class="rounded-circle mr-2"
								    :src="v.headimg" 
								    :preview-src-list="[v.headimg]">
								</el-image>
				  				<div class="flex-1">
							      	<el-link
							      	:underline="false">{{v.nickname}}</el-link>
				  				</div>
				  			</div>
							<el-divider content-position="left">简历基本信息</el-divider>
				  			<div class="flex flex-center pb-3">
				  				<div class="flex-lable">ID</div>
				  				<div class="flex-1">{{scope.row.data.id}}</div>
				  			</div>
				  			<div class="flex flex-center pb-3">
				  				<div class="flex-lable">姓名</div>
				  				<div class="flex-1">{{scope.row.data.name}}</div>
				  			</div>
				  		</div>
				  		<div class="flex-1 pl-2">
							<el-divider content-position="left">简历拓展信息</el-divider>
				  			<!-- <div class="flex flex-center pb-3">
				  				<div class="flex-lable">企业联系人</div>
				  						      				<div class="flex-1">{{scope.row.data.contacts}}</div>
				  			</div>
				  			<div class="flex pb-3">
				  				<div class="flex-lable">公司介绍</div>
				  						      				<div class="flex-1" v-html="XYBase.strntobr(scope.row.data.company_descript)"></div>
				  			</div> -->
				  		</div>
				  	</div>
				  	<div class="py-3">
				        <el-button
				            type="primary"
				            size="minism"
				            @click="window.open('/resume/editResume/'+scope.row.id)">
				            编辑
				        </el-button>
				        <el-button
				            type="primary"
				            size="minism"
				            @click="drawerHandleFind=scope.row;drawerHandle=true;">
				            设置顾问
				        </el-button>
				        <el-button
				            type="info"
				            size="minism"
				            @click="window.open('/user/loginLog?uid='+scope.row.uid)">
				            登录日志
				        </el-button>
				        <el-button
				            type="info"
				            size="minism"
				            @click="window.open('/user/apiLog?uid='+scope.row.uid)">
				            操作日志
				        </el-button>
				        <el-button
				            type="info"
				            size="minism"
				            @click="window.open('{:config('web.url')}/resume/'+scope.row.id+'.html')">
				            浏览
				        </el-button>
				        <el-button
				            type="info"
				            size="minism"
				            @click="openWinTo(scope.row)">
				            免登录
				        </el-button>
				  	</div>
			  	</div>
			  	<div class="text-center py-5 text-secondary small" v-else-if="scope.row.resume_info==0">
			  		<i class="el-icon-loading mr-2"></i>加载中...
			  	</div>
			  	<div class="text-center py-5 text-secondary small" v-else="scope.row.resume_info">
			  		未获取到用户信息
			  	</div>
			  </template>
		  </el-table-column>
	      <el-table-column
	        prop="id"
	        label="ID"
	        width="100">
	      </el-table-column>
	      <el-table-column
	        label="用户"
	        width="240">
		      <template slot-scope="scope">
		      	<div class="flex flex-center">
					<el-image
					  	v-if="scope.row.headimg" 
					    style="width: 30px; height: 30px"
					    lazy
					    class="rounded-circle mr-2"
					    :src="scope.row.headimg" 
					    :preview-src-list="[scope.row.headimg]">
					</el-image>
		      		<div>
				      	<el-link :href="'/user?uid='+scope.row.uid" target="_blank"
				      	:underline="false"
				      	title="用户中心">{{scope.row.nickname}}</el-link>
		      		</div>
		      	</div>
		      </template>
	      </el-table-column>
	      <el-table-column
	        label="姓名"
	        width="120">
		      <template slot-scope="scope">
		      	<div>
		      	<el-link :href="'/resume/find/'+scope.row.id" target="_blank"
		      	:underline="false"
		      	title="浏览">{{scope.row.name}}</el-link>
		      	<div>{{scope.row.mobile}}</div>
		      	</div>
		      </template>
	      </el-table-column>
	      <el-table-column
	        label="基本信息"
	        min-width="380">
		      <template slot-scope="scope">
		      	<div class="small">
		      		<div class="flex text-nowrap flex-center font-weight-bold">
			        	<div>{{XYBase.Date.getMStoYear(scope.row.age*1000)}}</div>
		      			<div class="border-left py-1 mx-1"></div>
						<div v-if="scope.row.sex==1">男</div>
						<div v-else-if="scope.row.sex==2">女</div>
						<div v-else="scope.row.sex">未设置</div>
		      			<div class="border-left py-1 mx-1"></div>
			        	<div>{{scope.row.educational_background}}</div>
		      			<div class="border-left py-1 mx-1"></div>
			        	<div>{{XYBase.Date.getMStoYear(scope.row.work_experience_time*1000)}}年经验</div>
		      		</div>
		      		<div class="flex text-nowrap flex-center" v-for="v in scope.row.ResumeEmploymentIntention">
		      			<div>{{v.jobs_cate3}}</div>
		      			<div class="border-left py-1 mx-1"></div>
		      			<div>{{v.industry?v.industry:'行业不限'}}</div>
		      			<div class="border-left py-1 mx-1"></div>
		      			<div v-if="v.area_city">{{v.area_city}}{{v.area_area}}</div>
		      			<div v-else>地区不限</div>
		      			<div class="border-left py-1 mx-1"></div>
		      			<div v-if="v.salary_min>0">{{v.salary_min}}~{{v.salary_max}}k</div>
		      			<div v-else>面议</div>
		      		</div>
		      	</div>
		      </template>
	      </el-table-column>
	      <el-table-column
	        prop="progress"
	        label="完整度/浏览"
	        width="180">
		      <template slot-scope="scope">
		      <div class="small">
		      	<div>求职状态：{{scope.row.job_status}}</div>
		      	<div>完整度：{{scope.row.progress}}%</div>
		      	<div>来源：{{scope.row.app_name}}</div>
		      </div>
		      </template>
	      </el-table-column>
	      <el-table-column
	        label="审核/状态"
	        width="100">
		      <template slot-scope="scope">
		      	<div>
				<div>
		      	<transition>
		      		<el-button type="success" size="minism"
		      		v-if="scope.row.examine==1 || scope.row.examine=='loading'"
		      		@click="openRefuseWin(scope.row);" 
		      		:loading="scope.row.examine=='loading'">已审核</el-button>
		      		<el-button type="info" size="minism" 
		      		v-else-if="scope.row.examine==0 || scope.row.examine=='loading'" 
		      		@click="openRefuseWin(scope.row);" 
		      		:loading="scope.row.examine=='loading'">待审核</el-button>
		      		<el-button type="danger" size="minism" 
		      		v-else-if="scope.row.examine==2 || scope.row.examine=='loading'" 
		      		@click="setResumeExamine(scope.row,1);" 
		      		:loading="scope.row.examine=='loading'">未通过</el-button>
				</transition>
				</div>
				<div>
		      	<transition>
		      		<el-button type="success" size="minism"
		      		v-if="scope.row.privacy==1">展示中</el-button>
		      		<el-button type="info" size="minism" 
		      		v-else="scope.row.privacy==0" >未展示</el-button>
				</transition>
				</div>
				</div>
		      </template>
	      </el-table-column>
	      <!-- <el-table-column
	        label="置顶/推荐"
	        width="100">
		      <template slot-scope="scope">
		      	<div>
				<el-popover
				placement="left"
				width="300"
				trigger="click"
				title="置顶简历">
					<div class="flex flex-center">
						<div class="flex-lable">置顶天数</div>
			      		<el-input-number v-model="top" :step="1" step-strictly
			      		:min="0"
			      		size="small"
			      		controls-position="right"
			      		placeholder="置顶天数"></el-input-number>
					</div>
					<div class="flex flex-center pt-3">
						<div class="flex-lable">是否累加</div>
			      		<el-checkbox v-model="accumulation" :true-lable="1" :false-lable="0">{{accumulation?'关闭':'开启'}}</el-checkbox>
					</div>
					<div class="bg-light p-2 rounded my-3 text-secondary small">
						<p class="text-dark font-weight-bold" v-if="scope.row.top_time">当前置顶结束时间：{{scope.row.top_time}}</p>
						<div>0、为取消置顶，n>0、置顶n天</div>
						<div>开启累加之后如若当前置顶时间未到期，则追加天数</div>
					</div>
		      		<div class="flex">
		      			<div class="flex-1"></div>
				  		<el-button type="info" size="mini"
				  		:disabled="top>0"
				  		@click="setResumeTop(scope.row)">取消置顶</el-button>
				  		<div class="px-1"></div>
				  		<el-button type="primary" size="mini"
				  		:disabled="top<=0"
				  		@click="setResumeTop(scope.row)">置顶{{top}}天</el-button>
				  	</div>
				  	<div slot="reference">
			      		<el-button type="success" size="minism"
			      		v-if="scope.row.top==1 || scope.row.top==2" 
			      		:loading="scope.row.top==2">置顶中</el-button>
			      		<el-button type="info" size="minism" 
			      		:loading="scope.row.top==2"
			      		v-else="scope.row.top==0 || scope.row.top==2">未置顶</el-button>
				  	</div>
				</el-popover>
				<el-popover
				placement="left"
				width="300"
				trigger="click"
				title="推荐简历">
					<div class="flex flex-center">
						<div class="flex-lable">推荐天数</div>
			      		<el-input-number v-model="recommend" :step="1" step-strictly
			      		:min="0"
			      		size="small"
			      		controls-position="right"
			      		placeholder="推荐天数"></el-input-number>
					</div>
					<div class="flex flex-center pt-3">
						<div class="flex-lable">是否累加</div>
			      		<el-checkbox v-model="accumulation" :true-lable="1" :false-lable="0">{{accumulation?'关闭':'开启'}}</el-checkbox>
					</div>
					<div class="bg-light p-2 rounded my-3 text-secondary small">
						<p class="text-dark font-weight-bold" v-if="scope.row.top_time">当前推荐结束时间：{{scope.row.recommend_time}}</p>
						<div>0、为取消推荐，n>0、推荐n天</div>
						<div>开启累加之后如若当前推荐时间未到期，则追加天数</div>
					</div>
		      		<div class="flex">
		      			<div class="flex-1"></div>
				  		<el-button type="info" size="mini"
				  		:disabled="recommend>0"
				  		@click="setResumeRecommend(scope.row)">取消推荐</el-button>
				  		<div class="px-1"></div>
				  		<el-button type="primary" size="mini"
				  		:disabled="recommend<=0"
				  		@click="setResumeRecommend(scope.row)">推荐{{recommend}}天</el-button>
				  	</div>
				  	<div slot="reference">
			      		<el-button type="success" size="minism"
			      		v-if="scope.row.recommend==1 || scope.row.recommend==2" 
			      		:loading="scope.row.recommend==2">推荐中</el-button>
			      		<el-button type="info" size="minism" 
			      		:loading="scope.row.recommend==2"
			      		v-else="scope.row.recommend==0 || scope.row.recommend==2">未推荐</el-button>
				  	</div>
				</el-popover>
				</div>
		      </template>
	      </el-table-column> -->
	      <el-table-column
	        label="时间线"
	        width="180">
		      <template slot-scope="scope">
		        <el-popover trigger="hover" placement="top">
		          <p>创建时间: {{ scope.row.create_time }}</p>
		          <p>更新时间: {{ scope.row.update_time }}</p>
		          <p>刷新时间: {{ scope.row.refresh_time }}</p>
		          <div slot="reference" class="name-wrapper">
		            <el-tag size="small" type="info">{{ scope.row.create_time }}</el-tag>
		          </div>
		        </el-popover>
		      </template>
	      </el-table-column>
	      <el-table-column
	        label="/"
	        width="120">
		      <template slot-scope="scope">
		        <el-button
		            type="success"
		            size="minism"
		            @click="Business.openBusiness(scope.row.id)">
		            业务
		        </el-button>
		        <el-button
		            type="primary"
		            size="minism"
		            @click="window.open('/resume/editResume/'+scope.row.uid)">
		            编辑
		        </el-button>
		      </template>
	      </el-table-column>
	    </el-table>
	</div>
	<div class="table-responsive py-3">
		<el-pagination
		  background
	      @size-change="handleSizeChange"
	      @current-change="handleCurrentChange"
	      :current-page="search.page"
	      :page-sizes="[10,50,100,200]"
	      :page-size="search.pageSize"
	      layout="total, sizes, prev, pager, next, jumper"
	      :total="search.total">
	    </el-pagination>
	</div>
	<div class="table-responsive py-3">
		<el-button-group class="text-nowrap flex" style="min-width: 500px">
		  <el-button type="primary" size="mini" @click="window.open('/resume/addResume')">手动添加简历</el-button>
		  <el-button type="primary" size="mini" @click="drawerHandle=true;">设置顾问</el-button>
		  <el-button type="success" size="mini" @click="openRefuseWin()">批量审核</el-button>
			<!-- <el-popover
			placement="right"
			width="300"
			trigger="click"
			title="置顶简历">
				<div class="flex flex-center">
					<div class="flex-lable">置顶天数</div>
		      		<el-input-number v-model="top" :step="1" step-strictly
		      		:min="0"
		      		size="small"
		      		controls-position="right"
		      		placeholder="置顶天数"></el-input-number>
				</div>
				<div class="flex flex-center pt-3">
					<div class="flex-lable">是否累加</div>
		      		<el-checkbox v-model="accumulation" :true-lable="1" :false-lable="0">{{accumulation?'关闭':'开启'}}</el-checkbox>
				</div>
				<div class="bg-light p-2 rounded my-3 text-secondary small">
					<div>0、为取消置顶，n>0、置顶n天</div>
					<div>开启累加之后如若当前置顶时间未到期，则追加天数</div>
				</div>
				<div class="bg-light p-2 rounded my-3 text-secondary small">
				</div>
	      		<div class="flex">
	      			<div class="flex-1"></div>
			  		<el-button type="info" size="mini"
			  		:disabled="top>0"
			  		@click="setResumeTopAll">取消置顶</el-button>
			  		<div class="px-1"></div>
			  		<el-button type="primary" size="mini"
			  		:disabled="top<=0"
			  		@click="setResumeTopAll">置顶{{top}}天</el-button>
			  	</div>
			  	<div slot="reference">
		      		<el-button type="success" size="mini">批量置顶</el-button>
			  	</div>
			</el-popover>
			<el-popover
			placement="right"
			width="300"
			trigger="click"
			title="推荐简历">
				<div class="flex flex-center">
					<div class="flex-lable">推荐天数</div>
		      		<el-input-number v-model="recommend" :step="1" step-strictly
		      		:min="0"
		      		size="small"
		      		controls-position="right"
		      		placeholder="推荐天数"></el-input-number>
				</div>
				<div class="flex flex-center pt-3">
					<div class="flex-lable">是否累加</div>
		      		<el-checkbox v-model="accumulation" :true-lable="1" :false-lable="0">{{accumulation?'关闭':'开启'}}</el-checkbox>
				</div>
				<div class="bg-light p-2 rounded my-3 text-secondary small">
					<div>0、为取消推荐，n>0、推荐n天</div>
					<div>开启累加之后如若当前推荐时间未到期，则追加天数</div>
				</div>
	      		<div class="flex">
	      			<div class="flex-1"></div>
			  		<el-button type="info" size="mini"
			  		:disabled="recommend>0"
			  		@click="setResumeRecommendAll">取消推荐</el-button>
			  		<div class="px-1"></div>
			  		<el-button type="primary" size="mini"
			  		:disabled="recommend<=0"
			  		@click="setResumeRecommendAll">推荐{{recommend}}天</el-button>
			  	</div>
			  	<div slot="reference">
		      		<el-button type="success" size="mini">批量推荐</el-button>
			  	</div>
			</el-popover> -->
		  <el-button type="success" size="mini">发消息</el-button>
		  <el-button type="success" size="mini">导出(0)</el-button>
		  <el-button type="success" size="mini" icon="el-icon-refresh">刷新</el-button>
		</el-button-group>
	</div>
</div>
<el-drawer
  title="我是标题"
  :visible.sync="drawerHandle"
  :with-header="false">
  	<div class="wrap h-100">
		<div class="flex px-3 py-2">
			<div class="flex-1 block-title-before py-2">设置顾问</div>
			<div class="py-2">
		  		<div class="small" v-if="drawerHandleFind.id">{{drawerHandleFind.title}}</div>
		  		<div class="small" v-else>批量设置</div>
			</div>
		</div>
		<div class="flex1 p-3" style="overflow-y: auto;">
			<div class="flex flex-center border border-lg rounded-lg mb-3 p-3 pointer"
			v-for="v in admin"
			:class="{'border-primary':adviser.id==v.id}"
			@click="adviser=v">
				<el-image
				  	v-if="v.headimg" 
				    style="width: 60px; height: 60px"
				    lazy
				    class="rounded-circle mr-2"
				    :src="v.headimg" 
				    :preview-src-list="[v.headimg]">
				</el-image>
  				<div class="flex-1">
			      	<el-link
			      	:underline="false">{{v.nickname}}</el-link>
  				</div>
  				<div class="text-secondary small" v-if="v.adviser_default">默认</div>
			</div>
		</div>
	  	<div class="flex px-3 py-2">
	  		<div class="flex-1">
			    <el-button @click="drawerHandle=false">关闭</el-button>
		    </div>
	  		<div v-if="drawerHandleFind.id">
		    	<el-button type="primary" @click="setAdviser(drawerHandleFind)">设置</el-button>
		    </div>
	  		<div v-else>
		    	<el-button type="primary" @click="setAdviserALL()">设置</el-button>
		    </div>
	  	</div>
  	</div>
</el-drawer>
<el-dialog
  title="审核"
  :visible.sync="dialogVisible"
  width="600px"
  :before-close="cancelRefuseWinSubmit">
	<el-form :model="form" label-width="80px" :rules="rules" ref="form" size="small">
		  <el-form-item label="审核" prop="status">
		    <el-radio-group v-model="form.status">
		      <el-radio :label="1">通过</el-radio>
		      <el-radio :label="2">驳回</el-radio>
		    </el-radio-group>
		  </el-form-item>
		  <el-form-item label="驳回原因" prop="msg" v-if="form.status==2">
		    <el-input type="textarea" v-model="form.msg" class="col-12 pl-0 pr-0" :autosize="{ minRows: 4, maxRows: 20}" maxlength="200" show-word-limit></el-input>
		  </el-form-item>
		  <el-form-item label="通知" prop="notice">
		  	<el-checkbox v-model="form.notice"
		  	:true-label="1"
		  	:false-label="0">发送通知</el-checkbox>
		  	<p v-if="form.notice" class="small text-danger">当前发送通知</p>
		  </el-form-item>
	</el-form>
	<div class="pointer text-primary small py-1" @click="showLog= !showLog;">{{showLog?'收起日志':'查看日志'}}</div>
  	<div v-show="showLog" style="max-height:500px;overflow-y: auto;">
		<div class="py-2 border-bottom mb-2" v-for="(v,index) in rowData.log">
			<div class="flex">
				<div class="text-secondary" v-if="v.status===0">提交申请</div>
				<div class="text-success" v-if="v.status===1">审核通过</div>
				<div class="text-danger" v-if="v.status===2">被驳回</div>
				<div class="flex-1 pl-2">{{v.nickname}}</div>
				<div class="small text-secondary">{{v.create_time}}</div>
			</div>
			<div class="pt-2">{{v.msg}}</div>
		</div>
  	</div>
	<div slot="footer">
	    <el-button @click="cancelRefuseWinSubmit">取 消</el-button>
	    <el-button type="primary" @click="submitForm('form');" :loading="form.ajax">{{form.ajax?'提交中...':'提交'}}</el-button>
	</div>
</el-dialog>
{/block}
{block name="script"}
<script type="text/javascript">
	{empty name="admin"}
	var admin=[];
	{else/}
	var admin={:json_encode($admin,JSON_UNESCAPED_UNICODE)};
	{/empty}
</script>
<script type="text/javascript">
	var vm=new Vue({
		el:'#app',
		data:{
			view:XYBase.view,
			labelPosition:'right',
			multipleSelection:[],
			showLog:false,
			drawerHandle:false,
			drawerHandleFind:{},
			admin:admin,
			adviser:{id:0},
			search:{
				{notempty name=":request()->get('resume_id')"}
				search_type:'id',
				key:'{:request()->get('resume_id')}',
				{elseif request()->get('uid')/}
				search_type:'uid',
				key:'{:request()->get('uid')}',
				{elseif request()->get('name')/}
				search_type:'name',
				key:'{:request()->get('name')}',
				{elseif request()->get('mobile')/}
				search_type:'mobile',
				key:'{:request()->get('mobile')}',
				{elseif request()->get('email')/}
				search_type:'email',
				key:'{:request()->get('email')}',
				{else/}
				search_type:'id',
				key:'',
				{/notempty}
				ajax:false,
				examine:{:request()->get('examine',"\'all\'")},
				page:1,
				total:0,
				pageSize:10
			},
			tableData:[],
			multipleSelectionIndex:0,
			dialogVisible:false,
			rowData:{},
			top:0,
			recommend:0,
			accumulation:0,
			form:{
				ajax:false,
				status:1,
				notice:1,
				msg:''
			},
	        rules: {
	          status: [
	            { required: true, message: '请选择审核结果', trigger: 'change' },
	          ],
	          msg: [
	            { required: true, message: '请输入审核结果', trigger: 'blur' },
	          ],
	        }
		},
		watch:{
		    view:XYBase.viewWatch,
		},
		created(){
			XYBase.created(this);
		},
	    methods: {
	    	openWinTo(row){
		        this.$confirm('即将免登录打开【'+row.name+'】,是否继续？', '提示', {
		        	dangerouslyUseHTMLString:true,
		          confirmButtonText: '继续',
		          cancelButtonText: '取消',
		          type: 'warning'
		        }).then(() => {
	    			window.open('user/exemptLoginRedirect/'+row.uid+'?path=/user');
		        }).catch(() => {
					XYBase.msg('已取消');
		        });
	    	},
		    toggleSelection(rows) {
		        if (rows) {
		          rows.forEach(row => {
		            this.$refs.tableList.toggleRowSelection(row);
		          });
		        } else {
		          this.$refs.tableList.clearSelection();
		        }
		    },
		    handleSelectionChange(val) {
		        this.multipleSelection = val;
		    },
	      	cancelRefuseWinSubmit(done){
	      		this.rowData={};
	      		this.$refs.form&&this.$refs.form.resetFields();
	      		typeof done==='function'&&done();
				this.dialogVisible=false;
	      	},
			openRefuseWin(row){
				if (row){
					this.rowData=row;
				}else{
					if (this.multipleSelection.length<1)return XYBase.msg('请选择简历');
				}
				this.dialogVisible=true;
			},
			submitForm(formName) {
				var _this=this;
				_this.$refs[formName].validate((valid) => {
				  if (valid) {
				  	if (this.rowData.id) {
					  	_this.setResumeExamine(_this.rowData,_this.form.status);
				  	}else{
						_this.dialogVisible=false;
				  		_this.setResumeExamineALL();
				  	}
				  } else {
					return XYBase.warning('请先把表单填写完整。');
				  }
				});
			},
			refreshResumeALL(){
				var _this=this;
				if (_this.multipleSelection.length<1)return;
				loading = XYBase.openloading();
				_this.multipleSelectionIndex=0;
				_this.refreshResumeALLAjax();
			},
			refreshResumeALLAjax(){
				var _this=this;
				var D=_this.multipleSelection[_this.multipleSelectionIndex];
				if (D) {
					loading.setText((_this.multipleSelectionIndex+1)+'/'+_this.multipleSelection.length);
					$.ajax({
						url:'/resume/refreshResume/'+D.id,
						type:'get',
						dataType:'json',
						error:function(err){
				          	loading.close();
							_this.multipleSelectionIndex=0;
					        _this.$refs.tableList.clearSelection();
						},
						success:function(ret){
							if (ret) {
								if(ret.code === 0){
									_this.multipleSelection[_this.multipleSelectionIndex].refresh_time=ret.data.refresh_time;
									_this.multipleSelectionIndex++;
									_this.refreshResumeALLAjax();
								}else{
									_this.multipleSelectionIndex++;
									_this.refreshResumeALLAjax();
								}
							}else{
								XYBase.error(XYBase.config.system_network_error);
					          	loading.close();
								_this.multipleSelectionIndex=0;
						        _this.$refs.tableList.clearSelection();
							}
						}
					})
				}else{
		          	loading.close();
					_this.multipleSelectionIndex=0;
			        _this.$refs.tableList.clearSelection();
				}
			},
			setResumeExamine(row,examine){
	    		if (row.examine=='loading') return;
				var _this=this;
	    		var oldExamine=row.examine;
	    		row.examine='loading';
				_this.form.ajax=true;
				var msg='';
				if (examine===2)msg='/'+_this.form.msg;
				$.ajax({
					url:'/resume/setResumeExamine/'+row.id+'/'+examine+msg,
					type:'get',
					data:{
						notice:_this.form.notice
					},
					dataType:'json',
					error:function(err){
						_this.form.ajax=false;
	    				row.examine=oldExamine;
			          	XYBase.error(XYBase.config.system_network_error);
					},
					success:function(ret){
						_this.form.ajax=false;
	    				row.examine=oldExamine;
						if (ret) {
							if (ret.code === 0) {
								row.examine=examine;
								row.update_time=ret.time;
								_this.cancelRefuseWinSubmit();
								XYBase.success(ret.msg);
							}else XYBase.msg(ret.msg);
						}else XYBase.error(XYBase.config.system_network_error);
					}
				})
			},
			setResumeExamineALL(){
				var _this=this;
				if (_this.multipleSelection.length<1)return;
				loading = XYBase.openloading();
				_this.multipleSelectionIndex=0;
				_this.setResumeExamineALLAjax();
			},
			setResumeExamineALLAjax(){
				var _this=this;
				var D=_this.multipleSelection[_this.multipleSelectionIndex];
				if (D) {
					loading.setText((_this.multipleSelectionIndex+1)+'/'+_this.multipleSelection.length);
					var msg='';
					if (_this.form.status===2)msg='/'+_this.form.msg;
					$.ajax({
						url:'/resume/setResumeExamine/'+D.id+'/'+_this.form.status+msg,
						type:'get',
						data:{
							notice:_this.form.notice
						},
						dataType:'json',
						error:function(err){
				          	loading.close();
							_this.multipleSelectionIndex=0;
					        _this.$refs.tableList.clearSelection();
						},
						success:function(ret){
							if (ret) {
								if(ret.code === 0){
									_this.multipleSelection[_this.multipleSelectionIndex].examine=_this.form.status;
									_this.multipleSelection[_this.multipleSelectionIndex].update_time=ret.time;
									_this.multipleSelectionIndex++;
									_this.setResumeExamineALLAjax();
								}else{
									_this.multipleSelectionIndex++;
									_this.setResumeExamineALLAjax();
								}
							}else{
								XYBase.error(XYBase.config.system_network_error);
					          	loading.close();
								_this.multipleSelectionIndex=0;
						        _this.$refs.tableList.clearSelection();
							}
						}
					})
				}else{
		          	loading.close();
					_this.multipleSelectionIndex=0;
			        _this.$refs.tableList.clearSelection();
				}
			},
			setResumeTop(data){
	    		if (data.top=='loading') return;
	    		var _this=this,oldStatus=data.top;
	    		data.top='loading';
	    		$.ajax({
	    			url:'/resume/setResumeTop',
	    			data:{
	    				id:data.id,
	    				top:_this.top,
	    				accumulation:_this.accumulation
	    			},
	    			type:'POST',
	    			dataType:'json',
	    			error:function(err){
	    				data.top=oldStatus;
	    				XYBase.error(XYBase.config.system_network_error);
	    			},
	    			success:function(ret) {
	    				data.top=oldStatus;
	    				if(ret){
	    					if(ret.code===0){
	    						data.top=ret.data.top;
	    						data.top_time=ret.data.top_time;
	    					}else{
	    						XYBase.msg(ret.msg);
	    					}
	    				}else{
	    					XYBase.error(XYBase.config.system_network_error);
	    				}
	    			}
	    		});
			},
			setResumeTopAll(){
				var _this=this;
				if (_this.multipleSelection.length<1)return;
				loading = XYBase.openloading();
				_this.multipleSelectionIndex=0;
				_this.setResumeTopAllAjax();
			},
			setResumeTopAllAjax(){
				var _this=this;
				var D=_this.multipleSelection[_this.multipleSelectionIndex];
				if (D) {
					loading.setText((_this.multipleSelectionIndex+1)+'/'+_this.multipleSelection.length);
					$.ajax({
		    			url:'/resume/setResumeTop',
		    			data:{
		    				id:D.id,
		    				top:_this.top,
		    				accumulation:_this.accumulation
		    			},
		    			type:'POST',
		    			dataType:'json',
						error:function(err){
				          	loading.close();
							_this.multipleSelectionIndex=0;
					        _this.$refs.tableList.clearSelection();
						},
						success:function(ret){
							if (ret) {
								if(ret.code === 0){
									_this.multipleSelection[_this.multipleSelectionIndex].top=ret.data.top;
									_this.multipleSelection[_this.multipleSelectionIndex].top_time=ret.data.top_time;
									_this.multipleSelectionIndex++;
									_this.setResumeTopAllAjax();
								}else{
									_this.multipleSelectionIndex++;
									_this.setResumeTopAllAjax();
								}
							}else{
								XYBase.error(XYBase.config.system_network_error);
					          	loading.close();
								_this.multipleSelectionIndex=0;
						        _this.$refs.tableList.clearSelection();
							}
						}
					})
				}else{
		          	loading.close();
					_this.multipleSelectionIndex=0;
			        _this.$refs.tableList.clearSelection();
				}
			},
			setResumeRecommend(data){
	    		if (data.recommend=='loading') return;
	    		var _this=this,oldStatus=data.recommend;
	    		data.recommend='loading';
	    		$.ajax({
	    			url:'/resume/setResumeRecommend',
	    			data:{
	    				id:data.id,
	    				recommend:_this.recommend,
	    				accumulation:_this.accumulation
	    			},
	    			type:'POST',
	    			dataType:'json',
	    			error:function(err){
	    				data.recommend=oldStatus;
	    				XYBase.error(XYBase.config.system_network_error);
	    			},
	    			success:function(ret) {
	    				data.recommend=oldStatus;
	    				if(ret){
	    					if(ret.code===0){
	    						data.recommend=ret.data.recommend;
	    						data.recommend_time=ret.data.recommend_time;
	    					}else{
	    						XYBase.msg(ret.msg);
	    					}
	    				}else{
	    					XYBase.error(XYBase.config.system_network_error);
	    				}
	    			}
	    		});
			},
			setResumeRecommendAll(){
				var _this=this;
				if (_this.multipleSelection.length<1)return;
				loading = XYBase.openloading();
				_this.multipleSelectionIndex=0;
				_this.setResumeRecommendAllAjax();
			},
			setResumeRecommendAllAjax(){
				var _this=this;
				var D=_this.multipleSelection[_this.multipleSelectionIndex];
				if (D) {
					loading.setText((_this.multipleSelectionIndex+1)+'/'+_this.multipleSelection.length);
					$.ajax({
		    			url:'/resume/setResumeRecommend',
		    			data:{
		    				id:D.id,
		    				recommend:_this.recommend,
		    				accumulation:_this.accumulation
		    			},
		    			type:'POST',
		    			dataType:'json',
						error:function(err){
				          	loading.close();
							_this.multipleSelectionIndex=0;
					        _this.$refs.tableList.clearSelection();
						},
						success:function(ret){
							if (ret) {
								if(ret.code === 0){
									_this.multipleSelection[_this.multipleSelectionIndex].recommend=ret.data.recommend;
									_this.multipleSelection[_this.multipleSelectionIndex].recommend_time=ret.data.recommend_time;
									_this.multipleSelectionIndex++;
									_this.setResumeRecommendAllAjax();
								}else{
									_this.multipleSelectionIndex++;
									_this.setResumeRecommendAllAjax();
								}
							}else{
								XYBase.error(XYBase.config.system_network_error);
					          	loading.close();
								_this.multipleSelectionIndex=0;
						        _this.$refs.tableList.clearSelection();
							}
						}
					})
				}else{
		          	loading.close();
					_this.multipleSelectionIndex=0;
			        _this.$refs.tableList.clearSelection();
				}
			},
	    	getSearchType(){
	    		var text='简历ID';
	    		switch(this.search.search_type){
	    			case 'id':
	    				text='简历ID';
	    				break;
	    			case 'uid':
	    				text='UID';
	    				break;
	    			case 'name':
	    				text='姓名';
	    				break;
	    			case 'mobile':
	    				text='手机号';
	    				break;
	    			case 'email':
	    				text='邮箱';
	    				break;
	    		}
	    		return text;
	    	},
			resetForm:function(formName) {
				this.$refs[formName].resetFields();
			},
			setAdviser(row){
				var _this=this;
				if(!_this.adviser.id) return XYBase.msg('请先选择顾问');
				_this.drawerHandle=false;
				var loadinger = XYBase.openloading();
				$.ajax({
					url:'/resume/setAdviser/'+row.id+'/'+_this.adviser.id,
					type:'get',
					data:{},
					dataType:'json',
					error:function(err){
				        loadinger.close();
			          	XYBase.error(XYBase.config.system_network_error);
					},
					success:function(ret){
				        loadinger.close();
						if (ret) {
							if (ret.code === 0) {
								row.adviser_id=_this.adviser.id;
								XYBase.success(ret.msg);
							}else XYBase.msg(ret.msg);
						}else XYBase.error(XYBase.config.system_network_error);
					}
				})
			},
			setAdviserALL(){
				var _this=this;
				if(!_this.adviser.id) return XYBase.msg('请先选择顾问');
				if (_this.multipleSelection.length<1)return;
				_this.drawerHandle=false;
				loading = XYBase.openloading();
				_this.multipleSelectionIndex=0;
				_this.setAdviserALLAjax();
			},
			setAdviserALLAjax(){
				var _this=this;
				var D=_this.multipleSelection[_this.multipleSelectionIndex];
				if (D) {
					loading.setText((_this.multipleSelectionIndex+1)+'/'+_this.multipleSelection.length);
					$.ajax({
						url:'/resume/setAdviser/'+D.id+'/'+_this.adviser.id,
						type:'get',
						data:{},
						dataType:'json',
						error:function(err){
				          	loading.close();
							_this.multipleSelectionIndex=0;
					        _this.$refs.tableList.clearSelection();
						},
						success:function(ret){
							if (ret) {
								if(ret.code === 0){
									_this.multipleSelection[_this.multipleSelectionIndex].adviser_id=_this.adviser.id;
									_this.multipleSelectionIndex++;
									_this.setAdviserALLAjax();
								}else{
									_this.multipleSelectionIndex++;
									_this.setAdviserALLAjax();
								}
							}else{
								XYBase.error(XYBase.config.system_network_error);
					          	loading.close();
								_this.multipleSelectionIndex=0;
						        _this.$refs.tableList.clearSelection();
							}
						}
					})
				}else{
		          	loading.close();
					_this.multipleSelectionIndex=0;
			        _this.$refs.tableList.clearSelection();
				}
			},
			handleSizeChange(val) {
				this.search.page=1;
				this.search.pageSize=val;
	          	this.initHtml();
			},
			handleCurrentChange(val) {
				this.search.page=val;
	          	this.initHtml();
			},
			getResumeInfo(row,expandedRows) {
				if (row.resume_info)return;
	    		$.getJSON('/getResumeInfo/'+row.id,function(ret){
	    			if (ret) {
	    				if (ret.code === 0) {
	    					row.resume_info=1;
	    					row.data=ret.data;
	    				}else{
	    					row.resume_info=2;
	    					XYBase.msg(ret.msg);
	    				}
	    			}else{
						XYBase.error(XYBase.config.system_network_error);
	    			}
	    		});
			},
	      	initHtml() {
	      		var _this=this;
	      		_this.search.ajax=true;
				$.ajax({
					url:'',
					type:'get',
					data:_this.search,
					dataType:'json',
					error:function(err){
	      				_this.search.ajax=false;
						XYBase.error(XYBase.config.system_network_error);
					},
					success:function(ret){
	      				_this.search.ajax=false;
						if (ret) {
							if (ret.code === 0) {
								_this.search.total=ret.data.total;
								_this.tableData=ret.data.data;
							}else{
								XYBase.msg(ret.msg);
							}
						}else{
							XYBase.error(XYBase.config.system_network_error);
						}
					}
				});
			},
		    exportResume() {
		    	var _this=this;
		    	_this.search.ajax=true;
				$.ajax({
					url:'/resume/exportResume',
					type:'get',
					data:_this.search,
					dataType:'json',
					error:function(err){
	      				_this.search.ajax=false;
						XYBase.error(XYBase.config.system_network_error);
					},
					success:function(ret){
	      				_this.search.ajax=false;
						if (ret) {
							if (ret.code === 0) {
								window.open(ret.data.url);
							}else{
								XYBase.msg(ret.msg);
							}
						}else{
							XYBase.error(XYBase.config.system_network_error);
						}
					}
				});
			}
	    }
	});
	$(function(){
		vm.initHtml();
		reloadWindowSize();
		$(window).resize(function(){
			reloadWindowSize();
		});
	});
	function reloadWindowSize (argument) {
		var winW=$(window).width();
		if(winW <= 576){
			vm.labelPosition='top';
		}else{
			vm.labelPosition='right';
		}
	}
</script>
{include file="business"/}
{/block}